For fetching template details with a particular tenant name in a tenant

GET /users/templates/{templateName}

Operation id: UserMappingTemplateService_GetUserTemplate

Description

Permission Level: Read

Tags: UserMappingTemplateService

Parameters

Path parameters

NameTypeRequiredDescription
templateNamestringYes

Query parameters

NameTypeRequiredDescription
tenantIdstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
templateNamestringNo
templateFieldsarrayNo
creationTimestring (date-time)No
csvSeparatorstringNo
isHeaderDefinedbooleanNo
friendlyNamestringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "templateName": {
      "type": "string"
    },
    "templateFields": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "columnNumber": {
            "type": "integer",
            "format": "int32"
          },
          "name": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "separator": {
            "type": "string",
            "description": "The column contains multiple values separated by this sequence. Required = false."
          },
          "workspaceType": {
            "type": "string"
          },
          "isSite": {
            "type": "boolean"
          },
          "isRole": {
            "type": "boolean"
          },
          "isLicensed": {
            "type": "boolean"
          },
          "isPrimarySite": {
            "type": "boolean"
          },
          "isSelectedDepartments": {
            "type": "boolean"
          },
          "isContactNumber": {
            "type": "boolean"
          },
          "isFirstSiteMapping": {
            "type": "boolean"
          },
          "headerName": {
            "type": "string"
          }
        }
      }
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "csvSeparator": {
      "type": "string"
    },
    "isHeaderDefined": {
      "type": "boolean"
    },
    "friendlyName": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}